Aria: ArModeCamera Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArModeCamera Class Reference

`#include <ArModes.h>`

Inheritance diagram for ArModeCamera:

List of all members.

## Detailed Description

Mode for controlling the camera.

## Public Member Functions
virtual void | activate (void)
void | amptu (void)
void | amptuSerial (void)
| ArModeCamera (ArRobot *robot, const char *name, char key, char key2)
| Constructor.
void | aux1 (void)
void | aux2 (void)
void | canon (void)
void | canonInverted (void)
void | canonInvertedSerial (void)
void | canonSerial (void)
void | center (void)
void | com1 (void)
void | com2 (void)
void | com3 (void)
void | com4 (void)
virtual void | deactivate (void)
void | down (void)
void | dpptu (void)
void | dpptuSerial (void)
void | exercise (void)
virtual void | help (void)
void | left (void)
void | right (void)
void | rvisionSerial (void)
void | sony (void)
void | sonySerial (void)
void | up (void)
virtual void | userTask (void)
void | zoomIn (void)
void | zoomOut (void)
virtual | ~ArModeCamera ()
| Destructor.
## Protected Types
enum | ExerState { CENTER, UP_LEFT, UP_RIGHT, DOWN_RIGHT, DOWN_LEFT }
enum | State { STATE_CAMERA, STATE_PORT, STATE_MOVEMENT }
## Protected Member Functions
void | auxToMovement (void)
void | cameraToAux (void)
void | cameraToMovement (void)
void | cameraToPort (void)
void | giveUpAuxKeys (void)
void | giveUpCameraKeys (void)
void | giveUpMovementKeys (void)
void | giveUpPortKeys (void)
void | helpAuxKeys (void)
void | helpCameraKeys (void)
void | helpMovementKeys (void)
void | helpPortKeys (void)
void | portToMovement (void)
void | takeAuxKeys (void)
void | takeCameraKeys (void)
void | takeMovementKeys (void)
void | takePortKeys (void)
## Protected Attributes
ArFunctorC< ArModeCamera > | myAmptuCB
ArFunctorC< ArModeCamera > | myAmptuSerialCB
ArFunctorC< ArModeCamera > | myAux1CB
ArFunctorC< ArModeCamera > | myAux2CB
ArPTZ * | myCam
ArFunctorC< ArModeCamera > | myCanonCB
ArFunctorC< ArModeCamera > | myCanonInvertedCB
ArFunctorC< ArModeCamera > | myCanonInvertedSerialCB
ArFunctorC< ArModeCamera > | myCanonSerialCB
ArFunctorC< ArModeCamera > | myCenterCB
ArFunctorC< ArModeCamera > | myCom1CB
ArFunctorC< ArModeCamera > | myCom2CB
ArFunctorC< ArModeCamera > | myCom3CB
ArFunctorC< ArModeCamera > | myCom4CB
ArSerialConnection | myConn
ArFunctorC< ArModeCamera > | myDownCB
ArFunctorC< ArModeCamera > | myDpptuCB
ArFunctorC< ArModeCamera > | myDpptuSerialCB
ArFunctorC< ArModeCamera > | myExerciseCB
bool | myExercising
ExerState | myExerState
bool | myExerZoomedIn
ArTime | myLastExer
ArTime | myLastExerZoomed
ArFunctorC< ArModeCamera > | myLeftCB
ArFunctorC< ArModeCamera > | myRightCB
ArFunctorC< ArModeCamera > | myRVisionSerialCB
ArFunctorC< ArModeCamera > | mySonyCB
ArFunctorC< ArModeCamera > | mySonySerialCB
State | myState
ArFunctorC< ArModeCamera > | myUpCB
ArFunctorC< ArModeCamera > | myZoomInCB
ArFunctorC< ArModeCamera > | myZoomOutCB

The documentation for this class was generated from the following file:

- ArModes.h